> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a presigned URL for uploading an acknowledgment



## OpenAPI

````yaml /openapi/alerts.json post /alerts/{alertId}/acknowledgment/upload-url
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /alerts/{alertId}/acknowledgment/upload-url:
    post:
      tags:
        - Alerts
      summary: Get a presigned URL for uploading an acknowledgment
      operationId: alerts.getAcknowledgmentUploadUrl
      parameters:
        - name: alertId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                contentType:
                  type: string
                  minLength: 1
                  description: MIME content type of the file
              required:
                - contentType
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    format: uri
                    description: Presigned upload URL
                  expiresAt:
                    type: string
                    format: date-time
                    description: Expires At
                required:
                  - url
                  - expiresAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````